## org.eclipse.datatools.connectivity.oda.design
Interface CustomData

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface CustomData

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Custom Data'. Custom data specific to any participant of an ODA design session, i.e. an ODA host or custom designer, as identified by its providerId. Its value is used only by its provider, but may be displayed in a string format by a non-provider component. This may be used as one of the StaticValues defined to be an input parameter's default values.

The following features are supported:

- `Provider Id`
- `Value`
- `Display Value`

Since:
  3.3.1 (DTP 1.8.1)
See Also:
  `DesignPackage.getCustomData()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDisplayValue()` Returns the value of the 'Display Value' attribute.
`java.lang.String` `getProviderId()` Returns the value of the 'Provider Id' attribute.
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute.
`void` `setDisplayValue(java.lang.String value)` Sets the value of the '`Display Value`' attribute.
`void` `setProviderId(java.lang.String value)` Sets the value of the '`Provider Id`' attribute.
`void` `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getProviderId

    java.lang.String getProviderId()

  Returns the value of the 'Provider Id' attribute. The unique identifier or namespace of the provider of this instance.

  Returns:
    the value of the 'Provider Id' attribute.
  See Also:
    `setProviderId(String)`, `DesignPackage.getCustomData_ProviderId()`

### setProviderId

    void setProviderId(java.lang.String value)

  Sets the value of the '`Provider Id`' attribute.

  Parameters:
    `value` - the new value of the 'Provider Id' attribute.
  See Also:
    `getProviderId()`

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Custom data value that is normally used only by its provider.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `DesignPackage.getCustomData_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getDisplayValue

    java.lang.String getDisplayValue()

  Returns the value of the 'Display Value' attribute.

  If the meaning of the 'Display Value' attribute isn't clear, there really should be more of a description here...

  The String representation of the data value, which can be displayed by a non provider.

  Returns:
    the value of the 'Display Value' attribute.
  See Also:
    `setDisplayValue(String)`, `DesignPackage.getCustomData_DisplayValue()`

### setDisplayValue

    void setDisplayValue(java.lang.String value)

  Sets the value of the '`Display Value`' attribute.

  Parameters:
    `value` - the new value of the 'Display Value' attribute.
  See Also:
    `getDisplayValue()`